/******************************************************************************
版权所有：	
文件名称：	e2prom.h
文件版本：	01.01
创建作者:	   sunxi
创建日期：	2008-08-06
功能说明：	e2prom驱动程序。
其它说明：
修改记录：
*/
#ifndef _E2PROM_H
#define _E2PROM_H

/*------------------------------ 外部函数接口 -----------------------------------
*/
int e2prom_init(void);
int e2prom_exit(void);

int e2prom_read(uint32_t offset,unsigned char * buffer,uint32_t length);
int e2prom_write(uint32_t offset,unsigned char * buffer,uint32_t length);

int e2prom_test(void);

int ac_e2prom_init(void);
int ac_e2prom_exit(void);

int ac_e2prom_read(unsigned char addr,uint32_t offset,unsigned char * buffer,uint32_t length);
int ac_e2prom_write(unsigned char addr,uint32_t offset,unsigned char * buffer,uint32_t length);

int ac_e2prom_test(void);
int e2prom_reinit(void);
#endif


/*------------------------------ 文件结束 -------------------------------------
*/
